summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog8
-rwxr-xr-xdebug/xtrace.sh18
-rw-r--r--localedata/ChangeLog4
-rw-r--r--localedata/SUPPORTED1
-rw-r--r--localedata/locales/tt_RU@iqtelif188
-rwxr-xr-xmalloc/memusage.sh20
6 files changed, 221 insertions, 18 deletions
diff --git a/ChangeLog b/ChangeLog
index 2fbf82fe28..62f0dd6d5d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,13 @@
+2007-02-17 Ulrich Drepper <drepper@redhat.com>
+
+ [BZ #3348]
+ * malloc/memusage.sh: Cleanups.
+ * debug/xtrace.sh: Quoting and trap changes.
+
2007-02-16 Ulrich Drepper <drepper@redhat.com>
+ * locale/iso-3166.def: Add Jersey, Guernsey, and Isle Of Man entries.
+
* locale/iso-3166.def: Update entry for Serbia.
* locale/iso-4217.def: Define RSD, remove CSD.
diff --git a/debug/xtrace.sh b/debug/xtrace.sh
index e8ffe2f420..b392d7cdd4 100755
--- a/debug/xtrace.sh
+++ b/debug/xtrace.sh
@@ -161,32 +161,32 @@ if test -n "$data"; then
while read fct; do
read file
if test "$fct" != '??' -a "$file" != '??:0'; then
- format_line $fct $file
+ format_line "$fct" "$file"
fi
done
else
- fifo=$(mktemp -u ${TMPDIR:-/tmp}/xtrace.XXXXXX)
+ fifo=$(mktemp -ut xtrace.XXXXXX) || exit
+ trap 'rm -f "$fifo"; exit 1' HUP INT QUIT TERM PIPE
mkfifo -m 0600 $fifo || exit 1
- trap 'rm $fifo; exit 1' SIGINT SIGTERM SIGPIPE
# Now start the program and let it write to the FIFO.
$TERMINAL_PROG -T "xtrace - $program $*" -e /bin/sh -c "LD_PRELOAD=$pcprofileso PCPROFILE_OUTPUT=$fifo $program $*; read < $fifo" &
termpid=$!
- $pcprofiledump -u $fifo |
+ $pcprofiledump -u "$fifo" |
while read line; do
- echo $line |
+ echo "$line" |
sed 's/this = \([^,]*\).*/\1/' |
- addr2line -fC -e $program
+ addr2line -fC -e "$program"
done |
while read fct; do
read file
if test "$fct" != '??' -a "$file" != '??:0'; then
- format_line $fct $file
+ format_line "$fct" "$file"
fi
done
read -p "Press return here to close $TERMINAL_PROG($program)."
- echo > $fifo
- rm $fifo
+ echo > "$fifo"
+ rm "$fifo"
fi
exit 0
diff --git a/localedata/ChangeLog b/localedata/ChangeLog
index 579619d5c3..746ece1697 100644
--- a/localedata/ChangeLog
+++ b/localedata/ChangeLog
@@ -1,5 +1,9 @@
2007-02-17 Ulrich Drepper <drepper@redhat.com>
+ [BZ #3363]
+ * SUPPORTED (SUPPORTED-LOCALES): Add tt_RU@iqtelif.
+ * locales/tt_RU@iqtelif: New file.
+
[BZ #3334]
* locales/sr_ME: Update from maintainer.
diff --git a/localedata/SUPPORTED b/localedata/SUPPORTED
index 70c2882b36..b4f14fab5c 100644
--- a/localedata/SUPPORTED
+++ b/localedata/SUPPORTED
@@ -350,6 +350,7 @@ tr_TR.UTF-8/UTF-8 \
tr_TR/ISO-8859-9 \
ts_ZA/UTF-8 \
tt_RU.UTF-8/UTF-8 \
+tt_RU@iqtelif.UTF-8/UTF-8 \
uk_UA.UTF-8/UTF-8 \
uk_UA/KOI8-U \
ur_PK/UTF-8 \
diff --git a/localedata/locales/tt_RU@iqtelif b/localedata/locales/tt_RU@iqtelif
new file mode 100644
index 0000000000..043f458513
--- /dev/null
+++ b/localedata/locales/tt_RU@iqtelif
@@ -0,0 +1,188 @@
+comment_char %
+escape_char /
+%
+% Tatar Language Locale using IQTElif alphabet; for Tatarstan, Russian Federation
+% Source: Reshat Sabiq
+% Contact: Reshat Sabiq
+% Email: <tatar.iqtelif.i18n@gmail.com>
+% Language: tt@iqtelif
+% Territory: RU
+% Revision: 0.1
+% Date: 2006-10-12
+% Application: general
+% Users: general
+% Charset: ISO-8859-9
+% Distribution and use is free, also
+% for commercial purposes.
+
+LC_IDENTIFICATION
+title "Tatar language locale using IQTElif alphabet; for Tatarstan, Russian Federation"
+source ""
+address ""
+contact "Reshat Sabiq"
+email "tatar.iqtelif.i18n@gmail.com"
+tel ""
+fax ""
+language "Tatar"
+territory "Tatarstan, Russian Federation"
+revision "0.1"
+date "2006-10-12"
+
+category "tt_RU@iqtelif:2000";LC_IDENTIFICATION
+category "tt_RU@iqtelif:2000";LC_CTYPE
+category "tt_RU@iqtelif:2000";LC_COLLATE
+category "tt_RU@iqtelif:2000";LC_TIME
+category "tt_RU@iqtelif:2000";LC_NUMERIC
+category "tt_RU@iqtelif:2000";LC_PAPER
+category "tt_RU@iqtelif:2000";LC_TELEPHONE
+category "tt_RU@iqtelif:2000";LC_MEASUREMENT
+category "tt_RU@iqtelif:2000";LC_ADDRESS
+category "tt_RU@iqtelif:2000";LC_MONETARY
+category "tt_RU@iqtelif:2000";LC_MESSAGES
+category "tt_RU@iqtelif:2000";LC_NAME
+
+END LC_IDENTIFICATION
+
+% TODO: further test LC_COLLATE
+
+LC_COLLATE
+% IQTElif:
+% <a>, <b>, <c>, <c,>, <d>, <e>, <f>, <g>, <g(>, <h>,
+% <i> (dotless i), <i.> (i with dot), <i'>, <j>, <k>, <l>, <m>, <n>, <n?>, <o>,
+% <o:>, <p>, <q>, <r>, <s>, <s,>, <t>, <u>, <u:>, <v>, <w>, <x>, <y>, <z>
+
+copy "crh_UA"
+
+collating-symbol <i'>
+
+reorder-after <i.>
+<i'>
+
+reorder-after <U0069>
+<U00ED> <i'>;<ACA>;<MIN>;IGNORE
+reorder-after <U0130>
+<U00CD> <i'>;<ACA>;<CAP>;IGNORE
+
+reorder-end
+
+END LC_COLLATE
+
+LC_CTYPE
+copy "tr_TR"
+END LC_CTYPE
+
+LC_MESSAGES
+% TODO: No is "yuq"; is it OK that it corresponds with English "yes"?
+yesstr "<U0065><U0079><U00ED>"
+nostr "<U0079><U0075><U0071>"
+yesexpr "<U005E><U005B><U0045><U0065><U005D><U002E><U002A>"
+noexpr "<U005E><U005B><U0059><U0079><U004E><U006E><U005D><U002E><U002A>"
+END LC_MESSAGES
+
+LC_MONETARY
+int_curr_symbol "<U0052><U0055><U0042><U0020>"
+currency_symbol "<U0073><U0075><U006D>"
+mon_decimal_point "<U002E>"
+mon_thousands_sep "<U2002>"
+mon_grouping 3;3
+positive_sign ""
+negative_sign "<U002D>"
+int_frac_digits 2
+frac_digits 2
+p_cs_precedes 0
+p_sep_by_space 1
+n_cs_precedes 0
+n_sep_by_space 1
+p_sign_posn 1
+n_sign_posn 1
+END LC_MONETARY
+
+LC_NUMERIC
+decimal_point "<U002C>"
+thousands_sep "<U002E>"
+grouping 3;3
+END LC_NUMERIC
+
+LC_TIME
+day "<U0059><U0065><U006B><U015F><U0065><U006D><U0062><U00ED>";/
+ "<U0044><U00FC><U015F><U0065><U006D><U0062><U00ED>";/
+ "<U0053><U0069><U015F><U0065><U006D><U0062><U00ED>";/
+ "<U00C7><U0065><U0072><U015F><U0065><U006D><U0062><U00ED>";/
+ "<U0050><U0065><U006E><U0063><U00ED><U015F><U0065><U006D><U0062><U00ED>";/
+ "<U0043><U006F><U006D><U011F><U0061>";/
+ "<U015E><U0069><U006D><U0062><U0065>"
+abday "<U0059><U0065><U006B>";/
+ "<U0044><U00FC><U015F>";/
+ "<U0053><U0069><U015F>";/
+ "<U00C7><U0065><U0072>";/
+ "<U0050><U0065><U006E>";/
+ "<U0043><U006F><U006D>";/
+ "<U015E><U0069><U006D>"
+% RFERL-based month t12n:
+mon "<U011E><U0131><U006E><U0077><U0061><U0072>";/
+ "<U0046><U0069><U0077><U0072><U0061><U006C><U0027>";/
+ "<U004D><U0061><U0072><U0074>";/
+ "<U0041><U0070><U0072><U0069><U006C>";/
+ "<U004D><U0061><U0079>";/
+ "<U0059><U00FC><U006E>";/
+ "<U0059><U00FC><U006C>";/
+ "<U0041><U0077><U0067><U0075><U0073><U0074>";/
+ "<U0053><U0069><U006E><U0074><U0065><U0062><U00ED><U0072>";/
+ "<U00DC><U006B><U0074><U0065><U0062><U00ED><U0072>";/
+ "<U004E><U006F><U0079><U0065><U0062><U00ED><U0072>";/
+ "<U0044><U0069><U006B><U0065><U0062><U00ED><U0072>"
+abmon "<U011E><U0131><U006E>";/
+ "<U0046><U0069><U0077>";/
+ "<U004D><U0061><U0072>";/
+ "<U0041><U0070><U0072>";/
+ "<U004D><U0061><U0079>";/
+ "<U0059><U00FC><U006E>";/
+ "<U0059><U00FC><U006C>";/
+ "<U0041><U0077><U0067>";/
+ "<U0053><U0069><U006E>";/
+ "<U00DC><U006B><U0074>";/
+ "<U004E><U006F><U0079>";/
+ "<U0044><U0069><U006B>"
+d_t_fmt "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0062>/
+<U0020><U0025><U0059><U0020><U0025><U0054>"
+d_fmt "<U0025><U0064><U002E><U0025><U006D><U002E><U0025><U0059>"
+t_fmt "<U0025><U0054>"
+am_pm "<U00D6><U0041>";"<U00D6><U0053>"
+t_fmt_ampm "<U0025><U0049><U003A><U0025><U004D><U003A><U0025><U0053>/
+<U0020><U0025><U0070>"
+date_fmt "<U0025><U0061><U0020><U0025><U0062><U0020><U0025><U0065>/
+<U0020><U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
+<U0025><U005A><U0020><U0025><U0059>"
+END LC_TIME
+
+LC_PAPER
+height 297
+width 210
+END LC_PAPER
+
+LC_MEASUREMENT
+measurement 1
+END LC_MEASUREMENT
+
+LC_ADDRESS
+postal_fmt "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
+<U0025><U0064><U0025><U004E><U0025><U0062><U0025><U004E><U0025><U0073>/
+<U0020><U0025><U0068><U0020><U0025><U0065><U0020><U0025><U0072><U0025>/
+<U004E><U0025><U0025><U007A><U0020><U0025><U0054><U0025>/
+<U004E><U0025><U0063><U0025><U004E>"
+country_ab2 "<U0052><U0055>"
+country_ab3 "<U0052><U0055><U0053>"
+country_num 643
+END LC_ADDRESS
+
+LC_TELEPHONE
+tel_int_fmt "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
+<U006C>"
+int_prefix "<U0037>"
+int_select "<U0030><U007E><U0031><U0030>"
+END LC_TELEPHONE
+
+LC_NAME
+name_fmt "<U0025><U0064><U0025><U0074><U0025><U0067><U0025><U0074>/
+<U0025><U006D><U0025><U0074><U0025><U0066>"
+END LC_NAME
diff --git a/malloc/memusage.sh b/malloc/memusage.sh
index 67af4998ca..eace785cf4 100755
--- a/malloc/memusage.sh
+++ b/malloc/memusage.sh
@@ -77,6 +77,15 @@ warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
exit 0
}
+# These variables are local
+buffer=
+data=
+memusagestat_args=
+notimer=
+png=
+progname=
+tracemmap=
+
# Process arguments. But stop as soon as the program name is found.
while test $# -gt 0; do
case "$1" in
@@ -213,15 +222,8 @@ datafile=
if test -n "$data"; then
datafile="$data"
elif test -n "$png"; then
- datafile=$(mktemp ${TMPDIR:-/tmp}/memusage.XXXXXX 2> /dev/null)
- if test $? -ne 0; then
- # Lame, but if there is no `mktemp' program the user cannot expect more.
- if test "$RANDOM" != "$RANDOM"; then
- datafile=${TMPDIR:-/tmp}/memusage.$RANDOM
- else
- datafile=${TMPDIR:-/tmp}/memusage.$$
- fi
- fi
+ datafile=$(mktemp -t memusage.XXXXXX) || exit
+ trap 'rm -f "$datafile"; exit 1' HUP INT QUIT TERM PIPE
fi
if test -n "$datafile"; then
add_env="$add_env MEMUSAGE_OUTPUT=$datafile"